#include "Layers.h"
#include "ProcessesPrivate.h"

LayerPtr ProcessLayer( ProcessSerialNumber *psn )
{
	LayerPtr			theLayer;


	theLayer = 0;
	while( theLayer = GetNextProcessLayer( theLayer, false )) {
		ProcessDescriptorPtr	pd;
		Boolean					same;



		pd = ( ProcessDescriptorPtr )GetLRefCon( theLayer );

		if( SameProcess( &pd->processNumber, psn, &same ) == noErr &&
			same )
			break;
	}

	return theLayer;
}
